package com.zanxiang.game.module.manage.controller.api;

import com.zanxiang.game.module.manage.pojo.params.GameGiftPackLinkLogPushParam;
import com.zanxiang.game.module.manage.service.IGameGiftPackLinkLogService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2024-11-04
 * @description : 发码器外部接口
 */
@Slf4j
@Api(tags = {"发码器外部接口"})
@RestController
@RequestMapping("/api/game/gift/pack")
public class GameGiftPackApi {

    @Autowired
    private IGameGiftPackLinkLogService gameGiftPackLinkLogService;

    @ApiOperation(value = "链接访问记录推送接口")
    @PostMapping(value = "/link/log/push")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Long.class)})
    public ResultVO<Long> linkList(@Validated @RequestBody GameGiftPackLinkLogPushParam param) {
        return ResultVO.ok(gameGiftPackLinkLogService.linkVisitLogPush(param.getUrl()));
    }

}
